#pragma once
#include<iostream>
using namespace std;
class Point
{
private:
	int x;
	int y;
public:
	Point() :x{ 0 }, y{ 0 }{};
	Point(int a) : x{ a }, y{ 0 }{};
	Point(int a, int b);
	~Point() {};
	void set_x(int a) { x = a; };
	void set_y(int a) { y = a; };
	int get_x() const { return x; };
	int get_y() const { return y; };
	

	friend bool operator==(const Point& p1, const Point& p2);
	friend bool operator!=(const Point& p1, const Point& p2);
	
	friend ostream& operator<<(ostream& out, const Point& rhs);
	friend istream& operator>>(istream& in, Point& rhs);

	friend Point operator+(const Point& lhs, const Point& rhs);

	friend bool operator<(const Point& lhs,const Point& rhs);

	Point& operator++();
	Point operator++(int);


};

